*{
	margin: 0;
	padding: 0;
	font-family: Gotham, 'Helvetica Neue', Helvetica, Arial, 'sans-serif';
	box-sizing: border-box;
}
body{
	padding-top: 90px;
	color:#000000;
	margin: 0;
	height: 100%;
	position: relative;
    background-image: url("images/CLMbackground_nograd.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
#header{
	width: 100%;

	
}
.headcontainer{
	padding: 0px 0%;
	
	
}
.logo{
    width: 140px;
}


nav{
	z-index: 9999;
	width: 100%;
	top: 0;
	position: fixed;
	display: flex;
	align-items: center;
	justify-content:space-around;
	flex-wrap: wrap;
	background: #FFFFFF;
	
}

nav ul.ulhead li{
	display:inline-block;
	list-style: none;
	margin: 10px 20px;	
}
nav ul.ulhead li a{
	color: black;
	text-decoration: none;
	font-size: 30px;
	position: relative;
}
nav ul.ulhead li a::after{
	content: '';
	width: 0%;
	height: 80%;
	background: #F88BE2;
	position:absolute;
	left: 0;
	bottom: -50%;
	transition: 0.3s;
	transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
	border-radius: 200px;
}
nav ul.ulhead li a:hover::after{
	
	height: 5%;
	width: 100%;
	z-index: 0001;
	bottom: -10%;
	border-radius: 15px;
}



.workcontainer{
    position: relative; /* Set container as the relative parent */
    width: 55%; /* Make the container take up full width */
	background-color: #000000;
    border-radius: 25px;
    transform: translateX(45%) translateY(7%);
    display: flex;
    flex-direction: column;
    margin-bottom: 15vh;
	
}


/* --------------------------------------------WORK---------------------------------- */





.worktitle{
    width: 100%;
	background-color: black;
	color: white;
	overflow: hidden;
	text-overflow: clip;
    border-radius: 25px 25px 0px 0px;
}

@keyframes textslide{
    from{
       transform: translateX(-50%); 
    }
    to{
        transform: translateX(0%);
    }
}

.title{
    
    transform: translateX(-50%);
    animation: textslide 7s cubic-bezier(0.00, 0.10, 0.00, 1.00) forwards;
}

.workgallery{
    position: relative;
    width: 100%;
    left: 0%;
    box-sizing: border-box;
    font-family: Gotham, 'Helvetica Neue', Helvetica, Arial, 'sans-serif';
    margin: 0;
    padding: 1rem;
    min-height: 10vh;
    justify-content: center;
    align-content: center;
    overflow: hidden;
}

@keyframes boxslide{
    from{
       transform: translateY(50%); 
    }
    to{
        transform: translateX(0%);
    }
}

@keyframes textboxopacity{
    from{
       opacity: 0%; 
    }
    to{
        opacity: 100%;
    }
}

.boxes{
    transform: translateY(50%);
    animation: boxslide 1s cubic-bezier(0.00, 0.10, 0.00, 1.00) forwards;
    
}

img.gimage {
    width: 100%;
    display: block;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    transition: transform 1000ms;
    background-color: #232323;
}
ul.gul {
    list-style: none;
    margin: 0 auto;
    padding: 0;
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat( auto-fit, minmax(230px, 1fr) );
    justify-content: center;
    max-width: 100%;
    width: 270rem;
}
figure {
    justify-content: center;
    align-content: center;
    margin: 0;
    position: relative;
    overflow: hidden;
    border-radius: 15px;
}
figure::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 200%;
    background: #F88BE2;
    transform-origin: center;
    opacity: 0;
    transform: scale(2);
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}
figcaption {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: left;
    align-items: left;
    text-align: left;
    opacity: 0%;
    color: black;
    font-size: 150%;
    padding-left: 2%;
    padding-right: 2%;
    padding-top: 10%;
    padding-bottom: 10%;
    z-index: 1;
    animation: textboxopacity 1s forwards;
    transition: transform 300ms;
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}

a:is(:hover, :focus) figure::after {
    left: 0;
}

@media (prefers-reduced-motion: no-preference) {
    
    figcaption {
        transform: translate3d(0, 100%, 0);
    }
    figure::after {
        top: 115%;
        opacity: 1;
        height: 200%;
        transform: scale(1);
        transition: transform 300ms;
        transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
    }
    a:is(:hover, :focus) figure::after {        
        transform: scale(1.5);
        height: 200%;
        top: 115%;
    }
    a:is(:hover, :focus) figcaption {
        transform: translate3d(0, 55%, 0);
        transition: opacity 300ms, transform 300ms;
        transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
    }
    a:is(:hover, :focus) img {
        transform: scale(1.2);
        opacity: 0.9;
    }    
}


/*------------------rescale for half-------------*/
@media (max-width: 1000px){
    
        .logo{
        width: 90px;
    }
    nav ul.ulhead li a{
        color: black;	
        font-size: 18px;
    }
    nav ul.ulhead li{
        display:inline-block;
        list-style: none;
        margin: 8px 10px;	
    }
    
    .workcontainer{
        width: 95%;
        transform: translateX(3%) translateY(3.5%);
    }
    
    
    .workgallery{
    position: relative;
    width: 100%;
    left: 0%;
    box-sizing: border-box;
    margin: 0 auto;
    padding: 1rem;
    min-height: 10vh;
    }
    ul.gul {
    list-style: none;
    margin: 0 auto;
    padding: 0;
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat( auto-fit, minmax(150px, 0.5fr) );
    max-width: 100%;
    width: 170rem;
}
    figcaption {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: left;
    align-items: left;
    text-align: left;
    color: black;
    font-size: 130%;
    padding-top: 10%;
    z-index: 1;
    transition: transform 300ms;
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}

    
}

